Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.event
Interface EndTransactionListener

All Known Subinterfaces:
  TransactionListener

All Known Implementing Classes:
  AbstractTransactionListener, AuditManager, RemoteCommitEventManager

    public interface EndTransactionListener

Notified when transactions end.

Since:
  0.2.5.0
Author:
  Patrick Linskey, Abe White

Method Summary
`void` | `afterCommit(TransactionEvent event)` Notification that a transaction has successfully committed.
`void` | `afterCommitComplete(TransactionEvent event)` Notification that a transaction has successfully committed and the transaction is no longer active.
`void` | `afterRollback(TransactionEvent event)` Notification that a transaction has been rolled back.
`void` | `afterRollbackComplete(TransactionEvent event)` Notification that a transaction has been rolled back and the transaction is no longer active.
`void` | `afterStateTransitions(TransactionEvent event)` Notification that state transitions are complete.
`void` | `beforeCommit(TransactionEvent event)` Notification that the next flush is for the transaction commit.

Method Detail

### beforeCommit

    void beforeCommit(TransactionEvent event)

  Notification that the next flush is for the transaction commit.

  See Also:
    `TransactionEvent.BEFORE_COMMIT`

### afterCommit

    void afterCommit(TransactionEvent event)

  Notification that a transaction has successfully committed.

  See Also:
    `TransactionEvent.AFTER_COMMIT`

### afterRollback

    void afterRollback(TransactionEvent event)

  Notification that a transaction has been rolled back.

  See Also:
    `TransactionEvent.AFTER_ROLLBACK`

### afterStateTransitions

    void afterStateTransitions(TransactionEvent event)

  Notification that state transitions are complete.

  See Also:
    `TransactionEvent.AFTER_STATE_TRANSITIONS`

### afterCommitComplete

    void afterCommitComplete(TransactionEvent event)

  Notification that a transaction has successfully committed and the transaction is no longer active.

  See Also:
    `TransactionEvent.AFTER_COMMIT_COMPLETE`

### afterRollbackComplete

    void afterRollbackComplete(TransactionEvent event)

  Notification that a transaction has been rolled back and the transaction is no longer active.

  See Also:
    `TransactionEvent.AFTER_ROLLBACK_COMPLETE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.